Last Comment Bug 732799 - Closed captioning is not supported by FireFox's QT Plugin
: Closed captioning is not supported by FireFox's QT Plugin
Status: RESOLVED INCOMPLETE
:
Product: Plugins Graveyard
Classification: Graveyard
Component: QuickTime (Apple) (show other bugs)
: unspecified
: x86 Mac OS X
: -- normal
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-04 07:06 PST by Patrick Besong
Modified: 2016-04-28 09:13 PDT (History)
1 user (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Patrick Besong 2012-03-04 07:06:00 PST
User Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.7; rv:10.0.2) Gecko/20100101 Firefox/10.0.2
Build ID: 20120215223356

Steps to reproduce:

Playing a movie in FireFox that has SCC closed captions does not display the captions. I play this movie in Safari and I get a CC button on the playbar and it displays closed captioning: 
http://www.personal.psu.edu/pzb4/sam/SOC119_Trailer.m4v



Actual results:

Playing the same movie in FireFox does not give me the CC button, so no captions are available.


Expected results:

There should be a CC button on the playbar if SCC captions are available.
Comment 1 Patrick Besong 2012-03-04 07:08:04 PST
The SCC captions were added to the QT movie using Apple's ClosedCaptionImporter.component plugin for QT.
Comment 2 Matthias Versen [:Matti] 2012-03-04 08:33:05 PST
The browser knows nothing about captions, that are Plugin internals.
Did you test this with a different browser since Safari uses AFAIK OS X internal interfaces.
Comment 3 Patrick Besong 2012-03-04 08:41:11 PST
Yes, it also does not work in Opera either. I thought since both Safari and FireFox used the QT plugin for the browser that there was some difference in FireFox's implementation of the plugin.
Comment 4 Matthias Versen [:Matti] 2012-03-04 09:04:53 PST
I guess that this functionality isn't available if you use the normal npapi plugin and safari might use some OS internal APIs.

The best would be to ask Apple but that seems to me as user like a big black hole.
Comment 5 Patrick Besong 2012-03-04 09:35:42 PST
Thanks for your quick response. I will see what Apple folks have to say.
Comment 6 Benjamin Smedberg [:bsmedberg] 2016-04-26 10:33:37 PDT
Closing old bugs in the Plugins component. We aren't going to track issues in 3rd-party plugins in the Mozilla bug tracker. In addition, support for NPAPI plugins will be removed at the end of this year; for more details see the post at https://blog.mozilla.org/futurereleases/2015/10/08/npapi-plugins-in-firefox/

If there is a serious bug in Firefox, it needs to be filed in the "Core" product, "Plug-Ins" component.

Note You need to log in before you can comment on or make changes to this bug.